#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36c3e6f9, "__platform_driver_register" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x19c56efb, "pinctrl_pm_select_idle_state" },
	{ 0x981e626f, "dma_free_attrs" },
	{ 0x9464f294, "dma_release_channel" },
	{ 0xa6257a2f, "complete" },
	{ 0xefa03265, "platform_driver_unregister" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf43e1ebf, "__dynamic_dev_dbg" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x343336e9, "_dev_err" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x351aa935, "i2c_del_adapter" },
	{ 0x66c12b49, "pm_runtime_force_suspend" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xdcb764ad, "memset" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3b8e3ccd, "is_acpi_device_node" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x6bb24f4d, "pinctrl_pm_select_default_state" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xe599b536, "_dev_warn" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x3f4607f4, "dma_sync_single_for_device" },
	{ 0xbf7396bb, "dma_sync_single_for_cpu" },
	{ 0xbadc4cf6, "i2c_recover_bus" },
	{ 0x67d802e4, "__pm_runtime_resume" },
	{ 0xf7490990, "__pm_runtime_idle" },
	{ 0x9449c5bb, "devm_kmalloc" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3e63c523, "device_get_match_data" },
	{ 0x1ab2c55a, "devm_platform_get_and_ioremap_resource" },
	{ 0x63aaea04, "platform_get_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x837331cb, "devm_request_threaded_irq" },
	{ 0xa654364d, "i2c_parse_fw_timings" },
	{ 0x555e2887, "device_property_present" },
	{ 0xab813e61, "of_device_is_compatible" },
	{ 0xd1c7430e, "pm_runtime_irq_safe" },
	{ 0xcbf1d8f7, "pm_runtime_enable" },
	{ 0x6710fdd, "set_primary_fwnode" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xad07d3e4, "i2c_add_numbered_adapter" },
	{ 0x846ce091, "__pm_runtime_disable" },
	{ 0xfaae1d09, "__devm_reset_control_get" },
	{ 0xff182629, "dev_err_probe" },
	{ 0x45247100, "devm_clk_bulk_get" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xa420e0f4, "dma_request_chan" },
	{ 0x10ff38b7, "dma_alloc_attrs" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:NVDA0101:*");
MODULE_ALIAS("acpi*:NVDA0201:*");
MODULE_ALIAS("acpi*:NVDA0301:*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c-vi");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c-viC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c-dvc");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c-dvcC*");

MODULE_INFO(srcversion, "DFCEECD23B112BAE9F1D1CD");
MODULE_INFO(rhelversion, "9.5");
