#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x52cda04d, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x09a7dc4c, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x1bc5fd3f, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xfbb77ea5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x677af095, "ether_setup" },
	{ 0x8333d41d, "__ethtool_get_link_ksettings" },
	{ 0x1aa86f31, "ethtool_get_ts_info_by_layer" },
	{ 0x69ad3ebd, "init_net" },
	{ 0x398895ae, "generic_hwtstamp_set_lower" },
	{ 0x154058c3, "generic_hwtstamp_get_lower" },
	{ 0x5b4bbe58, "dev_mc_del" },
	{ 0x453fcf05, "dev_uc_del" },
	{ 0xa85061e7, "dev_mc_add_excl" },
	{ 0x3ce95237, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6f77f944, "vlan_vid_del" },
	{ 0xaa2436e9, "vlan_vid_add" },
	{ 0xa9391691, "dev_set_allmulti" },
	{ 0xdf8e34b1, "dev_set_promiscuity" },
	{ 0xe67bf3b2, "dev_uc_unsync" },
	{ 0xf3bfaa8a, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x700b2e2e, "kmalloc_caches" },
	{ 0xa0e588a2, "kmalloc_trace" },
	{ 0x33b7729e, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6bf4b620, "rtnl_link_unregister" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xd4a0418, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x17d3cad, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x22349c58, "dev_uc_add" },
	{ 0x81c7aae2, "dev_set_mac_address" },
	{ 0xa48d6feb, "call_netdevice_notifiers" },
	{ 0x4f2d991c, "netif_inherit_tso_max" },
	{ 0x6d14c3e, "netdev_update_features" },
	{ 0x4666e7fa, "netif_stacked_transfer_operstate" },
	{ 0x844e79fd, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd2dc2eb4, "unregister_netdevice_queue" },
	{ 0x699e5f7f, "netdev_upper_dev_unlink" },
	{ 0xf38051e0, "dev_uc_sync" },
	{ 0x86036472, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x681657bb, "skb_clone" },
	{ 0xb2511ee4, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x287d1b22, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdc20d25a, "consume_skb" },
	{ 0x1db04268, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xeec0dd49, "kfree_skb_reason" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x1f2b7b7, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa92d2f10, "register_netdevice" },
	{ 0xf077dc22, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xeab7fac1, "linkwatch_fire_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8a360c43, "netdev_core_stats_alloc" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x95636c78, "__netif_rx" },
	{ 0xd0b270d1, "__dev_queue_xmit" },
	{ 0x9102831a, "dev_forward_skb" },
	{ 0xfa433cc8, "ip_check_defrag" },
	{ 0xa3c85c66, "passthru_features_check" },
	{ 0x2e1b1d24, "eth_validate_addr" },
	{ 0x42ebd8fe, "ndo_dflt_fdb_dump" },
	{ 0x69f9d6ae, "eth_header_parse" },
	{ 0xa8caaab0, "eth_header_cache" },
	{ 0x881131c4, "eth_header_cache_update" },
	{ 0xb56b83c1, "ethtool_op_get_link" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3E9C474A79A89BDFD889463");
MODULE_INFO(rhelversion, "9.5");
