#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x2ea4cf66, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x8d69d70b, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x84d5b0cc, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x09a0ee35, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xbaa8d213, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x8e4bce14, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xdfbd7710, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xe3a74783, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xdfa825b5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeec0dd49, "kfree_skb_reason" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xede44ce7, "__wake_up" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x60777667, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf72244b7, "netdev_err" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0x792c359b, "skb_copy_datagram_iter" },
	{ 0xcd9d9feb, "_copy_to_iter" },
	{ 0x1e8280b4, "iov_iter_advance" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdc20d25a, "consume_skb" },
	{ 0x84ddde29, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x959f92fd, "prepare_to_wait" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x3fb4f88e, "cdev_init" },
	{ 0x9876d59d, "cdev_add" },
	{ 0x700b2e2e, "kmalloc_caches" },
	{ 0xa0e588a2, "kmalloc_trace" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad0cabfb, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x37a0cba, "kfree" },
	{ 0xf06e63b3, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2934eafc, "skb_push" },
	{ 0x190e98b9, "__skb_gso_segment" },
	{ 0xff35e9db, "kfree_skb_list_reason" },
	{ 0x1db426a8, "__skb_get_hash" },
	{ 0x6d80a818, "skb_checksum_help" },
	{ 0x53845dc9, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xee5b1f35, "idr_find" },
	{ 0xd1c3bc36, "sk_alloc" },
	{ 0x8719de67, "__init_waitqueue_head" },
	{ 0x55a61372, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xd3c4cb50, "__skb_flow_dissect" },
	{ 0x16339ec1, "skb_partial_csum_set" },
	{ 0xbcbc7d8b, "__pskb_pull_tail" },
	{ 0x469b8f23, "iov_iter_npages" },
	{ 0x85a71920, "_copy_from_iter" },
	{ 0xd877db2d, "sock_alloc_send_pskb" },
	{ 0x5c0541cb, "skb_put" },
	{ 0x639d327d, "zerocopy_sg_from_iter" },
	{ 0xd0b270d1, "__dev_queue_xmit" },
	{ 0xf9578d73, "skb_copy_datagram_from_iter" },
	{ 0x502d2e03, "iov_iter_revert" },
	{ 0x4e89b375, "skb_copy_bits" },
	{ 0x16e0986f, "build_skb" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6f8cffab, "dev_set_mac_address_user" },
	{ 0x285343d8, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "04143F909FCC9BA9CBD746A");
MODULE_INFO(rhelversion, "9.5");
