#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x8aec9b27, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x306c6e88, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeec0dd49, "kfree_skb_reason" },
	{ 0xfeb341f3, "xdp_return_frame" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa5c3b516, "fasync_helper" },
	{ 0x8a2533e, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd9b63860, "netdev_info" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x70adbf9d, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x44ccfeb2, "from_kgid_munged" },
	{ 0xe3e360e4, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x700b2e2e, "kmalloc_caches" },
	{ 0xa0e588a2, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xee891085, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3bef2951, "dev_get_tstats64" },
	{ 0xfc56ca8d, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0x33b7729e, "rtnl_link_register" },
	{ 0x6483aa79, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc5ee9cad, "misc_deregister" },
	{ 0x6bf4b620, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb9f6ee59, "__wake_up_sync_key" },
	{ 0x107a41c3, "kill_fasync" },
	{ 0x2461a533, "netif_carrier_on" },
	{ 0x7dfccba3, "netif_carrier_off" },
	{ 0x6824954a, "bpf_prog_put" },
	{ 0x16e0986f, "build_skb" },
	{ 0x5c0541cb, "skb_put" },
	{ 0xfd37021e, "skb_set_owner_w" },
	{ 0xd1c3bc36, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0x8719de67, "__init_waitqueue_head" },
	{ 0x55a61372, "sock_init_data_uid" },
	{ 0x53845dc9, "sk_free" },
	{ 0x5f3410bd, "napi_gro_receive" },
	{ 0x33f0994, "napi_complete_done" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xde1c6af6, "add_wait_queue" },
	{ 0xae1b4f96, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x5f297f92, "skb_queue_purge_reason" },
	{ 0x69c3f502, "napi_get_frags" },
	{ 0x30c3cacb, "iov_iter_single_seg_count" },
	{ 0x60e3a175, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x7ab85bdf, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x480b3924, "xdp_rxq_info_unreg" },
	{ 0x1840003f, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdcbb8eaa, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xddd096ed, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x58d3d782, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb2cff33b, "skb_copy_ubufs" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x8a360c43, "netdev_core_stats_alloc" },
	{ 0x98f8fc8, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x12ac0649, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xed105458, "___pskb_trim" },
	{ 0x10d4d573, "__skb_get_hash_symmetric" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xdac9cd17, "netif_set_real_num_tx_queues" },
	{ 0x4503dfdd, "netif_set_real_num_rx_queues" },
	{ 0xd2dc2eb4, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xec7e34ef, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xd3c4cb50, "__skb_flow_dissect" },
	{ 0x16339ec1, "skb_partial_csum_set" },
	{ 0xbcbc7d8b, "__pskb_pull_tail" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x635e3bda, "xdp_rxq_info_is_reg" },
	{ 0xf984bc77, "__xdp_rxq_info_reg" },
	{ 0x61fc4438, "xdp_rxq_info_reg_mem_model" },
	{ 0x46fe1ac7, "netif_napi_add_weight" },
	{ 0xdf8dbd1e, "napi_enable" },
	{ 0xc7180734, "lock_sock_nested" },
	{ 0x668e3c6c, "sk_attach_filter" },
	{ 0xcafbec90, "release_sock" },
	{ 0x3148c0c0, "__dev_get_by_name" },
	{ 0x60d0e329, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x7aa08972, "alloc_netdev_mqs" },
	{ 0x83ba19f1, "ip_tunnel_header_ops" },
	{ 0xa92d2f10, "register_netdevice" },
	{ 0x31b5ab7a, "netif_tx_wake_queue" },
	{ 0x677af095, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1f257383, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xcd9d9feb, "_copy_to_iter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x792c359b, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x1e8280b4, "iov_iter_advance" },
	{ 0xdc20d25a, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x233c50a8, "sock_recv_errqueue" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x48a0de56, "bpf_prog_get_type_dev" },
	{ 0xd509d4f0, "xdp_do_redirect" },
	{ 0xbba3f066, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xd0e7825e, "__traceiter_xdp_exception" },
	{ 0x8600e1c7, "xdp_return_frame_rx_napi" },
	{ 0x84462d15, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x52f0dec0, "__page_frag_cache_drain" },
	{ 0xeed1d984, "eth_type_trans" },
	{ 0xa67a5e5, "xdp_master_redirect" },
	{ 0x20b8b59f, "do_xdp_generic" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x14ad8db0, "__folio_put" },
	{ 0x5fef88d2, "__put_devmap_managed_page_refs" },
	{ 0x3bf3557, "skb_page_frag_refill" },
	{ 0x40347e70, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x85a71920, "_copy_from_iter" },
	{ 0x469b8f23, "iov_iter_npages" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0xf9578d73, "skb_copy_datagram_from_iter" },
	{ 0xd877db2d, "sock_alloc_send_pskb" },
	{ 0x639d327d, "zerocopy_sg_from_iter" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0x2934eafc, "skb_push" },
	{ 0xe662d011, "eth_get_headlen" },
	{ 0x210828ff, "napi_gro_frags" },
	{ 0x502d2e03, "iov_iter_revert" },
	{ 0xfc0b8507, "napi_schedule_prep" },
	{ 0xf10fcde5, "__napi_schedule" },
	{ 0x43f62a6b, "get_net_ns" },
	{ 0xf24a6eb7, "open_related_ns" },
	{ 0x285343d8, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x9552a06a, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x6d14c3e, "netdev_update_features" },
	{ 0x6f8cffab, "dev_set_mac_address_user" },
	{ 0x2b0e6d43, "make_kuid" },
	{ 0xde50e4fa, "init_user_ns" },
	{ 0x343b1a4f, "from_kuid" },
	{ 0x722b282d, "sk_detach_filter" },
	{ 0xa48d6feb, "call_netdevice_notifiers" },
	{ 0xa6b5a56, "__module_get" },
	{ 0x8c12e8b5, "from_kgid" },
	{ 0xb56b83c1, "ethtool_op_get_link" },
	{ 0xb35a14ad, "ethtool_op_get_ts_info" },
	{ 0xa3c85c66, "passthru_features_check" },
	{ 0x3c002354, "eth_mac_addr" },
	{ 0x2e1b1d24, "eth_validate_addr" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8523BC76354B95329565354");
MODULE_INFO(rhelversion, "9.5");
