#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xb26bbce6, "");
SYMBOL_CRC(sas_remove_host, 0x88351299, "");
SYMBOL_CRC(sas_get_address, 0x81ffc03f, "");
SYMBOL_CRC(sas_tlr_supported, 0xfe79aaf0, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x4fe8d1db, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xa943a0cd, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x836cccba, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x0d21a743, "");
SYMBOL_CRC(sas_phy_add, 0x474f9470, "");
SYMBOL_CRC(sas_phy_free, 0x080bde68, "");
SYMBOL_CRC(sas_phy_delete, 0xe5127bad, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x206a8c68, "");
SYMBOL_CRC(sas_port_alloc, 0xef594126, "");
SYMBOL_CRC(sas_port_alloc_num, 0xf50aa175, "");
SYMBOL_CRC(sas_port_add, 0x04f21b55, "");
SYMBOL_CRC(sas_port_free, 0xcc26f0d6, "");
SYMBOL_CRC(sas_port_delete, 0xe064da88, "");
SYMBOL_CRC(scsi_is_sas_port, 0xb653522c, "");
SYMBOL_CRC(sas_port_get_phy, 0x8f358afb, "");
SYMBOL_CRC(sas_port_add_phy, 0xffe9fd3e, "");
SYMBOL_CRC(sas_port_delete_phy, 0xfb8e85d6, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x7f8b7aa4, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x14c9019c, "");
SYMBOL_CRC(sas_end_device_alloc, 0xf22dedd2, "");
SYMBOL_CRC(sas_expander_alloc, 0xc25dd04d, "");
SYMBOL_CRC(sas_rphy_add, 0x74a7cf5a, "");
SYMBOL_CRC(sas_rphy_free, 0xaceea64d, "");
SYMBOL_CRC(sas_rphy_delete, 0xa4aa5ced, "");
SYMBOL_CRC(sas_rphy_unlink, 0x531fed90, "");
SYMBOL_CRC(sas_rphy_remove, 0x823a1f88, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x3223b576, "");
SYMBOL_CRC(sas_attach_transport, 0x93d5ca24, "");
SYMBOL_CRC(sas_release_transport, 0xc89dd0c7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f29c49e, "device_for_each_child" },
	{ 0x6f4e7191, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xf3662d74, "device_add" },
	{ 0x42324ec3, "transport_add_device" },
	{ 0x6233fd2f, "transport_configure_device" },
	{ 0xb22455ae, "device_del" },
	{ 0x5c5a29c2, "transport_destroy_device" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x5c8b3d4, "get_device" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0x3a85373c, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x13d8f35e, "scsi_scan_target" },
	{ 0xa4dcbb35, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xfd311f7, "transport_class_register" },
	{ 0xa2178b35, "transport_class_unregister" },
	{ 0x4b7cad7d, "transport_remove_device" },
	{ 0x700b2e2e, "kmalloc_caches" },
	{ 0xa0e588a2, "kmalloc_trace" },
	{ 0x7f3ee573, "attribute_container_register" },
	{ 0x1b488fee, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x265677e6, "dev_printk" },
	{ 0x63ba4922, "scsi_mode_sense" },
	{ 0x3f6ace46, "attribute_container_unregister" },
	{ 0x3ea21ceb, "scsi_remove_host" },
	{ 0xeb83e120, "bsg_remove_queue" },
	{ 0xd6a3f889, "scsi_remove_target" },
	{ 0x83db208c, "scsi_is_host_device" },
	{ 0xe599b536, "_dev_warn" },
	{ 0xed4e9375, "bsg_job_done" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0xc875d4ef, "dma_opt_mapping_size" },
	{ 0x2862e595, "device_initialize" },
	{ 0x5af62226, "dev_set_name" },
	{ 0x4ad376e, "transport_setup_device" },
	{ 0x2827117d, "scsi_get_vpd_page" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "99F820CD90C22B89804A467");
MODULE_INFO(rhelversion, "9.5");
