#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_on_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0xd1945480, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0xdd47cd54, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0xbdb513ac, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x338a7de2, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x4b56a824, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x993a86eb, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0xa4ac6a88, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0x52e5e29b, "_gpl");
SYMBOL_CRC(nfs_get_client, 0xee9f8207, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0xa63774ad, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x2a706aeb, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x356e377f, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x9a93faff, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0xa34a6e8f, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x6925aa55, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0xb782f7b5, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x77e500e2, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0xe0cc7141, "_gpl");
SYMBOL_CRC(nfs_free_server, 0x957aa8e3, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x487f0d2d, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0x8287d1e9, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0x7174d7a9, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x37ca1423, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0xc1e9d029, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0xd87f06e8, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x70ccb423, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0xd8069eb4, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x193861a8, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x7f49e2d3, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0x2788d8ca, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0x8231d291, "_gpl");
SYMBOL_CRC(nfs_create, 0x33cdf98a, "_gpl");
SYMBOL_CRC(nfs_mknod, 0x1c59ed5b, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x953c096f, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0x553ccb5a, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x6a6f06b0, "_gpl");
SYMBOL_CRC(nfs_symlink, 0xd0d88a18, "_gpl");
SYMBOL_CRC(nfs_link, 0x8438e6dc, "_gpl");
SYMBOL_CRC(nfs_rename, 0x55a6db54, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x3d9ab939, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0x660353f3, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0x810fa505, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0xc6c8b8f1, "_gpl");
SYMBOL_CRC(nfs_may_open, 0xbb1c978d, "_gpl");
SYMBOL_CRC(nfs_permission, 0x68f9e015, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x53ab6654, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0x4a57edd4, "_gpl");
SYMBOL_CRC(nfs_file_read, 0x2326d834, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0xfa465359, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0x79618a98, "_gpl");
SYMBOL_CRC(nfs_file_write, 0xbfdad12b, "_gpl");
SYMBOL_CRC(nfs_lock, 0x2f8f7741, "_gpl");
SYMBOL_CRC(nfs_flock, 0xc3d04b29, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0x3a1dc520, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0xcc033233, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0xe0260169, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x804a52e9, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0x1705462b, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0xe3639d79, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0x5f1527c7, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0x37b86ddc, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0x5b81270e, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0xdad7e1c2, "_gpl");
SYMBOL_CRC(nfs_fhget, 0x5c40f9f9, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x46e21260, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0x05b3e70d, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x0df5d836, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0x84696cae, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0x8f4845b4, "_gpl");
SYMBOL_CRC(nfs_close_context, 0x495bcbb4, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0xab8f567e, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x3ce17b13, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0xb1ac88ea, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0xb6ced1b5, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0xa2b0e50e, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0xedb56563, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0xbff968a3, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0xbd1cb43b, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0xe13ae4e5, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0x5e3614cb, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0xf6633854, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0xec94ac29, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0xe35fd846, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0xa1eb5596, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0xec975a47, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0xfd763956, "_gpl");
SYMBOL_CRC(nfs_statfs, 0xc593fba0, "_gpl");
SYMBOL_CRC(nfs_show_options, 0xa444c872, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0xf807f4df, "_gpl");
SYMBOL_CRC(nfs_show_path, 0xbff49a5e, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0xa764c423, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x0537ccc3, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0x59c67bdb, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x946a4cdc, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0xd79904cd, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0xacfcd84b, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0xfff73541, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0x78306624, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0x29ca80ff, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x9e4793b3, "_gpl");
SYMBOL_CRC(nfs_wait_on_request, 0x89e16446, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0xa0313f9e, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0x674f2d8a, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x647793a1, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x29dfa8c2, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x0cff3eba, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0x91de461b, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x4a6d3763, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0xd9e8d5e0, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0xd48efb01, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x25af679c, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x94883fa7, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0xb6d9a83a, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0xd4a0e13e, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0x76914254, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0xd7132428, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0x33ae1801, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0xdbbe7aa9, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x32dd070e, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0xf6121f0b, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0x5262e935, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0x9b599147, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0xe15726bf, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0xd377d63d, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0x9236c411, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x800ac477, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0xf47949ed, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x61d3da7e, "_gpl");
SYMBOL_CRC(nfs_path, 0xfa03f880, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0xe99c773c, "_gpl");
SYMBOL_CRC(nfs_submount, 0x3b13fdf9, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x30496988, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x8ac46a83, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xf96f04c4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x44cc3a41, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0x6d7922d2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x6e81f032, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x59923eb3, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0x69e7762b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x73dff4c0, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xe70507df, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x56b7d75c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x95007f7e, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0x6c9b8437, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0x732d36ec, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x29b6e2e6, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0x48ef7f56, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0x154513c4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5d3e040, "rpc_put_task" },
	{ 0x25f3a617, "super_setup_bdi_name" },
	{ 0xcd7522fa, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xcac921cf, "__page_file_index" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe8383363, "generic_fillattr" },
	{ 0x2035adaa, "vfs_fsync_range" },
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0x3e214f21, "clear_nlink" },
	{ 0xbfd61ac5, "file_check_and_advance_wb_err" },
	{ 0x53f0e5cc, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9645f252, "d_alloc_parallel" },
	{ 0x9d7e2612, "flush_dcache_page" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xaa82dfab, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa7c86522, "clear_inode" },
	{ 0xba8ded26, "inode_to_bdi" },
	{ 0xb72230c9, "bpf_trace_run4" },
	{ 0xc67007a4, "__fscache_acquire_volume" },
	{ 0xba313740, "ida_destroy" },
	{ 0xb0a5b9fd, "param_ops_ulong" },
	{ 0xb45e88e4, "proc_dointvec_jiffies" },
	{ 0xbecfce9c, "rpc_proc_register" },
	{ 0x3bf9c242, "register_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x84f11daa, "sysfs_create_file_ns" },
	{ 0x365c44c6, "rpc_shutdown_client" },
	{ 0x289c80d, "fs_param_is_string" },
	{ 0x588a302a, "folio_unlock" },
	{ 0x60f1a844, "mnt_set_expiry" },
	{ 0x16f616ad, "param_ops_ushort" },
	{ 0xf6ffc66e, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x687ac6a1, "generic_file_splice_read" },
	{ 0x2ca250c2, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8334c647, "filemap_map_pages" },
	{ 0x57c8b8db, "__fscache_begin_read_operation" },
	{ 0xeb546378, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1e50f3c3, "trace_raw_output_prep" },
	{ 0xe0078dfa, "kobject_rename" },
	{ 0xca9a76d3, "security_sb_set_mnt_opts" },
	{ 0x8b81bbf8, "init_special_inode" },
	{ 0x6db7753e, "unregister_filesystem" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe73cefb5, "filemap_fdatawrite_range" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x81d1c340, "folio_wait_bit_killable" },
	{ 0x84ddde29, "finish_wait" },
	{ 0x1fbeee87, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x314ace1e, "d_make_root" },
	{ 0x853fc4e1, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xa8f2c872, "sync_filesystem" },
	{ 0x99cd1f01, "__fscache_unuse_cookie" },
	{ 0x29ba2766, "folio_redirty_for_writepage" },
	{ 0xe798ecf, "register_shrinker" },
	{ 0x2d8ebcd7, "sget_fc" },
	{ 0xfb01c861, "d_splice_alias" },
	{ 0xacccc697, "generic_error_remove_page" },
	{ 0xde3522eb, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x755bd8c7, "unmap_mapping_range" },
	{ 0x8a91fca8, "ihold" },
	{ 0xe48e52e8, "inode_dio_wait" },
	{ 0xca571c95, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x8dd18c5d, "invalidate_inode_pages2_range" },
	{ 0x66034c3f, "read_cache_page" },
	{ 0x1d89fa3a, "finish_open" },
	{ 0xf39d6c1d, "iput" },
	{ 0x401d6f56, "kset_unregister" },
	{ 0x9e3f72e8, "security_sb_clone_mnt_opts" },
	{ 0x1068e04b, "fs_param_is_enum" },
	{ 0x2bbbdbf3, "logfc" },
	{ 0x5fef88d2, "__put_devmap_managed_page_refs" },
	{ 0x57535f36, "iter_file_splice_write" },
	{ 0xec2265fa, "rpc_pton" },
	{ 0xa2db09ad, "mod_node_page_state" },
	{ 0x25dd14dc, "rpc_wake_up_queued_task" },
	{ 0x61e83098, "bpf_trace_run2" },
	{ 0x74b53344, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x7d74e8c3, "remove_proc_subtree" },
	{ 0x637faf01, "rpc_restart_call_prepare" },
	{ 0x8dd11049, "d_lookup" },
	{ 0x53f4e401, "event_triggers_call" },
	{ 0xede44ce7, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa6b5a56, "__module_get" },
	{ 0xd6b940a3, "__fscache_relinquish_cookie" },
	{ 0xe82e5b6d, "register_filesystem" },
	{ 0x76aa1e5f, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x6fe5b0d9, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x8eee2cd7, "mempool_free" },
	{ 0x5492aba5, "filemap_add_folio" },
	{ 0x7274a87e, "rpc_sleep_on" },
	{ 0xf9fd0787, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x85b9d78d, "netfs_readahead" },
	{ 0xfd816ad1, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcee62f67, "d_prune_aliases" },
	{ 0x769593a1, "__put_cred" },
	{ 0xf6037190, "register_pernet_subsys" },
	{ 0x6ca8d2f5, "swapcache_mapping" },
	{ 0x190228b7, "rpc_cancel_tasks" },
	{ 0xeda339f1, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x954c9bb, "migrate_folio" },
	{ 0x2f2db516, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x3ed86f0f, "fs_param_is_u32" },
	{ 0xa2e11b29, "inode_newsize_ok" },
	{ 0x231c3157, "d_drop" },
	{ 0x316bdb0f, "deactivate_super" },
	{ 0x9b786b4a, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xa2990420, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0xf89e7795, "security_sb_mnt_opts_compat" },
	{ 0x2f808640, "param_get_uint" },
	{ 0xc4dae417, "vfs_parse_fs_string" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x3e49201b, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x389fc825, "trace_event_ignore_this_pid" },
	{ 0x2b0e6d43, "make_kuid" },
	{ 0x1c151e54, "truncate_inode_pages_final" },
	{ 0xbff75344, "d_alloc" },
	{ 0x699db1dd, "fs_kobj" },
	{ 0xc62ffd, "net_ns_type_operations" },
	{ 0x4f439561, "__filemap_set_wb_err" },
	{ 0xdc157c3f, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x5b02b767, "generic_perform_write" },
	{ 0x8a6b3b48, "__filemap_get_folio" },
	{ 0x9a793d00, "mempool_alloc" },
	{ 0x6701e854, "unregister_shrinker" },
	{ 0x3fd30c45, "simple_nosetlease" },
	{ 0x792be78e, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xdcbb8eaa, "module_put" },
	{ 0x8d1c5f2c, "__var_waitqueue" },
	{ 0xefad799, "rpc_setbufsize" },
	{ 0x9c9514c8, "fs_context_for_submount" },
	{ 0x769573c8, "inode_init_once" },
	{ 0xb69a5eb5, "folio_wait_private_2" },
	{ 0xab6b39a9, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0x88c685be, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x9665480a, "ilookup5" },
	{ 0x711fb107, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x36b0b63c, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xdc0e87a3, "perf_trace_run_bpf_submit" },
	{ 0x865c9eb9, "security_d_instantiate" },
	{ 0x49608959, "migrate_disable" },
	{ 0xfcbcb733, "down_write" },
	{ 0x69ad3ebd, "init_net" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x8f37910f, "up_write" },
	{ 0x41539948, "generic_file_read_iter" },
	{ 0xfba280aa, "unlock_page" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x3bca6bd2, "rpc_clone_client_set_auth" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0x8a9c934c, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa524d567, "put_fs_context" },
	{ 0xb00d9df6, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xf749d1f9, "kobj_sysfs_ops" },
	{ 0x3f694345, "xa_load" },
	{ 0xb74c39f1, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xdae6ced, "write_cache_pages" },
	{ 0xeb28e104, "set_nlink" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0xc1096b7d, "kmem_cache_free" },
	{ 0x37607235, "rpc_max_payload" },
	{ 0xd801d660, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x9273108e, "d_move" },
	{ 0x2613a642, "seq_putc" },
	{ 0xe16ff16f, "rpc_proc_unregister" },
	{ 0xe27d0a65, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x33e632ee, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x14853eb4, "folio_wait_writeback" },
	{ 0x85551ba9, "ida_free" },
	{ 0xe876cbba, "nlmclnt_rpc_clnt" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x1d749d1e, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8dee69b, "write_inode_now" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x97bf8a6a, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xdce16a1a, "rpc_create" },
	{ 0x5d2134c2, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x6009f316, "__folio_start_writeback" },
	{ 0xbda6c280, "d_obtain_root" },
	{ 0x6743db70, "bpf_trace_run1" },
	{ 0xe7afe7a6, "param_ops_short" },
	{ 0xf06e63b3, "idr_destroy" },
	{ 0xce53ff6e, "folio_end_writeback" },
	{ 0x1a09198f, "rpc_call_sync" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x460b2f61, "proc_mkdir" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x7ccbace5, "rpc_put_task_async" },
	{ 0x17dcd0cf, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6ab27bd8, "xdr_init_decode_pages" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8719de67, "__init_waitqueue_head" },
	{ 0xc4ccbb6d, "rpc_exit" },
	{ 0x9552a06a, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xadfad456, "d_delete" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x13cbd856, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x253bf0ea, "nfs_ssc_unregister" },
	{ 0xc8135580, "rpc_killall_tasks" },
	{ 0x1699f936, "down_read" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0xfc7f988, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3a5d790, "iov_iter_get_pages_alloc2" },
	{ 0x2f87b9eb, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd33fb0a3, "bpf_trace_run3" },
	{ 0xd5e0adfa, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa217e033, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4fa1903d, "generic_read_dir" },
	{ 0xf1ab33db, "kobject_del" },
	{ 0x541924cc, "trace_event_buffer_reserve" },
	{ 0x1a723fe6, "d_add" },
	{ 0x38a22735, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0x36b90d46, "filemap_fdatawait_range" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x60b0fdb1, "param_ops_bool" },
	{ 0x732dd326, "groups_free" },
	{ 0x987f4d54, "security_inode_notifysecctx" },
	{ 0x237e4139, "nfs_ssc_register" },
	{ 0xde50e4fa, "init_user_ns" },
	{ 0x3bfa674a, "xa_find" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x44968a73, "invalidate_inode_pages2" },
	{ 0xeebfcdb7, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cc15cb7, "mempool_destroy" },
	{ 0x14ad8db0, "__folio_put" },
	{ 0x59d557a8, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0x53a0db32, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x72a2b0a6, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1e69f212, "deactivate_locked_super" },
	{ 0xa856ee49, "put_rpccred" },
	{ 0x9123e73e, "__percpu_down_read" },
	{ 0xbf7beb66, "__d_lookup_unhash_wake" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdb3ce81a, "kobject_uevent" },
	{ 0x9d1aac52, "__fscache_invalidate" },
	{ 0xe7a4382, "folio_mapping" },
	{ 0x4919d96b, "downgrade_write" },
	{ 0x7bfaabe9, "cred_fscmp" },
	{ 0x7c016722, "__folio_lock" },
	{ 0xad026f59, "filemap_dirty_folio" },
	{ 0x24089fc, "pagecache_get_page" },
	{ 0x11043c9b, "is_bad_inode" },
	{ 0x94fc903d, "proc_dointvec" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0x23f78cdf, "__fscache_use_cookie" },
	{ 0x51f8e536, "rcuwait_wake_up" },
	{ 0x77c18064, "_proc_mkdir" },
	{ 0xcfe78dca, "node_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xe295441, "seq_escape" },
	{ 0xae19932f, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xad8df6cf, "__fs_parse" },
	{ 0x14532c58, "sysfs_create_link_nowarn" },
	{ 0x88a10bf0, "dget_parent" },
	{ 0x549dcc4e, "nlmclnt_init" },
	{ 0x5227a0ec, "kill_anon_super" },
	{ 0x4eee7af1, "xa_find_after" },
	{ 0xa0e588a2, "kmalloc_trace" },
	{ 0xa78434c2, "iget5_locked" },
	{ 0xd5577b11, "filemap_write_and_wait_range" },
	{ 0xabef5f09, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xc32b467c, "nlmclnt_done" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5c7d0867, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xf863f8e, "param_ops_int" },
	{ 0x8ecb54e8, "netfs_subreq_terminated" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x502d2e03, "iov_iter_revert" },
	{ 0x762fe50, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf8e5c16d, "mntget" },
	{ 0x349cba85, "strchr" },
	{ 0xc00ed4e1, "kmem_cache_alloc_lru" },
	{ 0x81e2d6c8, "filemap_fault" },
	{ 0x6d1b5f35, "d_invalidate" },
	{ 0x157d4fa2, "__mark_inode_dirty" },
	{ 0x29c7c0d0, "generic_file_llseek" },
	{ 0xb740db2e, "folio_wait_private_2_killable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x41a946b1, "up_read" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0x57737b88, "rpc_wait_for_completion_task" },
	{ 0xeae8bf34, "set_anon_super" },
	{ 0x5a99af8e, "drop_nlink" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x700b2e2e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf29b5536, "kmem_cache_destroy" },
	{ 0xd25dd9, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf61e8fb1, "kobject_put" },
	{ 0x1685a10d, "vfs_get_tree" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,fscache,netfs,lockd");


MODULE_INFO(srcversion, "3C1D88C5DE737627FF149C4");
MODULE_INFO(rhelversion, "9.5");
