#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xd9908d2c, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0x3c979442, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xf6b3cb9d, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xaabb1d6f, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xbb80e36b, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x281fe110, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x643f22db, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xfe6f186a, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x4c51e624, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xbf725588, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x9e0eb3d8, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xa0ed0ce0, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x8110da5f, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x18dea816, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xa3854c4d, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x57e5956d, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x5779eeba, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x4e972a48, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x285520dd, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x77873482, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xc07315b0, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x602ee89c, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x7b3086aa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ab93086, "iptun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x47c31c3e, "icmpv6_ndo_send" },
	{ 0x7b65591a, "icmp_ndo_send" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7aa08972, "alloc_netdev_mqs" },
	{ 0xa92d2f10, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xa916b694, "strnlen" },
	{ 0x1f257383, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd2dc2eb4, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xdcb764ad, "memset" },
	{ 0xc93e3db9, "ip_route_output_flow" },
	{ 0x45954345, "dst_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1f2b7b7, "__dev_get_by_index" },
	{ 0xe0a9b02, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x818e476a, "gro_cells_init" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xec7e34ef, "netdev_state_change" },
	{ 0x60d0e329, "ns_capable" },
	{ 0x844e79fd, "dev_set_mtu" },
	{ 0x69ad3ebd, "init_net" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4e89b375, "skb_copy_bits" },
	{ 0x3cd2cf00, "iptunnel_xmit" },
	{ 0xeec0dd49, "kfree_skb_reason" },
	{ 0x1db426a8, "__skb_get_hash" },
	{ 0x9558b60f, "dst_cache_get_ip4" },
	{ 0xd80df6ea, "dst_cache_set_ip4" },
	{ 0x60e3a175, "pskb_expand_head" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7c817d4e, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbcbc7d8b, "__pskb_pull_tail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9ef6e5cc, "skb_scrub_packet" },
	{ 0x8d8804f3, "gro_cells_receive" },
	{ 0x92997ed8, "_printk" },
	{ 0xeed1d984, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C79CC6ED03117D53762AAB8");
MODULE_INFO(rhelversion, "9.5");
