#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xbf4344c8, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xb2ce5ebe, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x7b0449df, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x53eacb83, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xbf811086, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xa8723b0c, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x863dbefa, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x20e75a41, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xaa0b4c50, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xa9c47246, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xfa451a97, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x9d4141ca, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xd2a39843, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x5390744e, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xb6dfe952, "");
SYMBOL_CRC(nf_nat_follow_master, 0x3e4ecafa, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x2ca2b394, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xe876705c, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xb5291102, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xf7bf3c58, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x6794bab1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdbb168, "nf_ct_ext_add" },
	{ 0x9979787c, "__do_once_done" },
	{ 0xd2d4ca0, "nf_conntrack_find_get" },
	{ 0x53f0e5cc, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x1eb35170, "nf_ip6_checksum" },
	{ 0x4e89b375, "skb_copy_bits" },
	{ 0x762d6b59, "nf_hook_entries_insert_raw" },
	{ 0x6aa5b291, "xfrm_lookup" },
	{ 0x1843a31d, "nf_ct_seqadj_set" },
	{ 0x5c0541cb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6a7d00d9, "nf_ct_helper_expectfn_unregister" },
	{ 0x2c445db8, "__xfrm_decode_session" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xe0d96e8c, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x60e3a175, "pskb_expand_head" },
	{ 0xf6037190, "register_pernet_subsys" },
	{ 0x11a0b272, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x463496d0, "nf_ct_iterate_cleanup_net" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6ca87f77, "ipv6_skip_exthdr" },
	{ 0xa15d7580, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6629813b, "nf_ipv6_ops" },
	{ 0xdcbb8eaa, "module_put" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x1fab8b2c, "nf_conntrack_alter_reply" },
	{ 0x1cf1ebd4, "ip_route_me_harder" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0xbfabc3c8, "nf_hook_entries_delete_raw" },
	{ 0xc1029d08, "skb_ensure_writable" },
	{ 0x707cc588, "nf_unregister_net_hooks" },
	{ 0x765f4a6a, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x17dcd0cf, "unregister_pernet_subsys" },
	{ 0x18fbaa0e, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa676f8d1, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xd37349e5, "nf_ip_checksum" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x295e294, "register_btf_kfunc_id_set" },
	{ 0xbcef5be1, "nf_ct_iterate_destroy" },
	{ 0xbf9b9f7b, "inet_proto_csum_replace16" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd5e0adfa, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x73510b1a, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x930c8807, "__skb_checksum" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0x5dc5e8b4, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdd6f4b42, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x45954345, "dst_release" },
	{ 0x86bca5b8, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x77f15929, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa0e588a2, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x700b2e2e, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "2BC8075DFAE62DEFD8CCA91");
MODULE_INFO(rhelversion, "9.5");
