#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x10d5bfd1, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x5089fd98, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xb062c37d, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8bd4d081, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x424b4286, "sock_queue_rcv_skb_reason" },
	{ 0xc4cd98ab, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb72230c9, "bpf_trace_run4" },
	{ 0x4e89b375, "skb_copy_bits" },
	{ 0x9a4fed0c, "radix_tree_insert" },
	{ 0x5c0541cb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdc20d25a, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1e50f3c3, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0xbb390083, "radix_tree_lookup" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x853fc4e1, "trace_event_printf" },
	{ 0x3068b281, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xde3522eb, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x53f4e401, "event_triggers_call" },
	{ 0xede44ce7, "__wake_up" },
	{ 0x5680e1a2, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb0df3b17, "sk_error_report" },
	{ 0x5f297f92, "skb_queue_purge_reason" },
	{ 0x359f2cb7, "radix_tree_iter_delete" },
	{ 0xeda339f1, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x87fd4e8, "proto_unregister" },
	{ 0xfd550122, "sock_register" },
	{ 0xcd2ee34, "datagram_poll" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x389fc825, "trace_event_ignore_this_pid" },
	{ 0x7a0cfb6a, "__alloc_skb" },
	{ 0xcb09079a, "rt_write_unlock" },
	{ 0x467d2e1f, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x72424cdb, "__xa_alloc" },
	{ 0xd94b9295, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xdc0e87a3, "perf_trace_run_bpf_submit" },
	{ 0xe397e5ad, "__traceiter_sk_data_ready" },
	{ 0x69ad3ebd, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbebf06e0, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3f694345, "xa_load" },
	{ 0x81199201, "kernel_getsockname" },
	{ 0xb9477e57, "do_wait_intr_irq" },
	{ 0x53845dc9, "sk_free" },
	{ 0xeec0dd49, "kfree_skb_reason" },
	{ 0xb1bd12c5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x2934eafc, "skb_push" },
	{ 0xe9811071, "sock_no_listen" },
	{ 0xe27d0a65, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xc7180734, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x792c359b, "skb_copy_datagram_iter" },
	{ 0xd1c3bc36, "sk_alloc" },
	{ 0xd1716fc0, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xa4bec298, "sock_no_mmap" },
	{ 0x8719de67, "__init_waitqueue_head" },
	{ 0x67248782, "sock_no_sendpage" },
	{ 0x306192dc, "__netdev_alloc_skb" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x8877a0d4, "__xa_insert" },
	{ 0xd12db825, "xa_erase" },
	{ 0xd33fb0a3, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xfd37021e, "skb_set_owner_w" },
	{ 0x541924cc, "trace_event_buffer_reserve" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0x54b5ab19, "sock_create_kern" },
	{ 0x3bfa674a, "xa_find" },
	{ 0x304c93cb, "skb_recv_datagram" },
	{ 0xd877db2d, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd6822237, "xa_store" },
	{ 0x681657bb, "skb_clone" },
	{ 0xf062f394, "rt_write_lock" },
	{ 0x85a71920, "_copy_from_iter" },
	{ 0x6256a12c, "sock_release" },
	{ 0xa84986d5, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4eee7af1, "xa_find_after" },
	{ 0xa0e588a2, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x502d2e03, "iov_iter_revert" },
	{ 0x6b76cbed, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0x268e8fbd, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x700b2e2e, "kmalloc_caches" },
	{ 0xcafbec90, "release_sock" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "48BEB303FAF074C19834E70");
MODULE_INFO(rhelversion, "9.5");
