#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x4395730b, "");
SYMBOL_CRC(tipc_dump_start, 0x088360ce, "");
SYMBOL_CRC(tipc_dump_done, 0x438dff96, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0xedb01f6a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe0584a, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x894dacd5, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb72230c9, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xccc06a7e, "__nlmsg_put" },
	{ 0xee5b1f35, "idr_find" },
	{ 0x5c0541cb, "skb_put" },
	{ 0xc4981283, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x512b06d6, "ip6_dst_hoplimit" },
	{ 0x5f6b0824, "trace_output_call" },
	{ 0xdc20d25a, "consume_skb" },
	{ 0x556b7861, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1e50f3c3, "trace_raw_output_prep" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x5092c1a7, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x853fc4e1, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x27f40add, "__ip_dev_find" },
	{ 0xd80df6ea, "dst_cache_set_ip4" },
	{ 0xc3986088, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2d1de0a9, "genlmsg_put" },
	{ 0xed105458, "___pskb_trim" },
	{ 0xde3522eb, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xde1c6af6, "add_wait_queue" },
	{ 0x4767e68d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x189e1586, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xfa651dfa, "netdev_warn" },
	{ 0x648b4a, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x7400e010, "crypto_aead_decrypt" },
	{ 0x53f4e401, "event_triggers_call" },
	{ 0xc64aaea0, "kernel_accept" },
	{ 0xa6b5a56, "__module_get" },
	{ 0xc93e3db9, "ip_route_output_flow" },
	{ 0x3590d7c9, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb6881502, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x60e3a175, "pskb_expand_head" },
	{ 0xf6037190, "register_pernet_subsys" },
	{ 0xa84b96da, "put_cmsg" },
	{ 0x5f297f92, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xeda339f1, "trace_event_buffer_commit" },
	{ 0x8f913289, "crypto_destroy_tfm" },
	{ 0xeed1d984, "eth_type_trans" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x87fd4e8, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xfd550122, "sock_register" },
	{ 0xd3bfa90d, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x389fc825, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x7a0cfb6a, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xcb09079a, "rt_write_unlock" },
	{ 0x2fa9f74c, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xc1e51fdd, "skb_try_coalesce" },
	{ 0x467d2e1f, "proto_register" },
	{ 0x6f52a684, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xb9f6ee59, "__wake_up_sync_key" },
	{ 0x804d9662, "skb_queue_tail" },
	{ 0xdcbb8eaa, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0xeed0219b, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1f2b7b7, "__dev_get_by_index" },
	{ 0xdc0e87a3, "perf_trace_run_bpf_submit" },
	{ 0xe397e5ad, "__traceiter_sk_data_ready" },
	{ 0x69ad3ebd, "init_net" },
	{ 0xbee3edf0, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7563d4b, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x60777667, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe0870bf4, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x5b24faab, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xb21dcb33, "dev_remove_pack" },
	{ 0x53845dc9, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xeec0dd49, "kfree_skb_reason" },
	{ 0x2310eb0e, "kernel_sock_shutdown" },
	{ 0xb1bd12c5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x2934eafc, "skb_push" },
	{ 0xeea8691b, "dst_cache_get" },
	{ 0xe9811071, "sock_no_listen" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xe6dbf2b, "proc_doulongvec_minmax" },
	{ 0xe27d0a65, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc0c08d28, "iov_iter_kvec" },
	{ 0x2e802d5f, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x51334b83, "rhashtable_walk_start_check" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x5308cdbe, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc7180734, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x792c359b, "skb_copy_datagram_iter" },
	{ 0xed297516, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd1c3bc36, "sk_alloc" },
	{ 0xf06e63b3, "idr_destroy" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x17dcd0cf, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x5f58f60e, "kfree_skb_partial" },
	{ 0x981eb97b, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf8f72817, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0xa4bec298, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xbcbc7d8b, "__pskb_pull_tail" },
	{ 0x67248782, "sock_no_sendpage" },
	{ 0xb2511ee4, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x262c57f0, "rhashtable_destroy" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x12783a6, "setup_udp_tunnel_sock" },
	{ 0xf8170523, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfb084961, "skb_trim" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x95502b90, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd33fb0a3, "bpf_trace_run3" },
	{ 0x151c3d15, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1299090f, "sock_rfree" },
	{ 0x73510b1a, "rt_read_lock" },
	{ 0xccd9c5dc, "sock_i_ino" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x775cfa7b, "kernel_listen" },
	{ 0xd0b270d1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x541924cc, "trace_event_buffer_reserve" },
	{ 0x70809b1a, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x54b5ab19, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xa2b20631, "rt_spin_trylock_bh" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaf131f8d, "dst_cache_set_ip6" },
	{ 0xde8cdea0, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdd6f4b42, "rt_read_unlock" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcdb6b2c8, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb83b7b4c, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xe82cf30c, "skb_copy" },
	{ 0x681657bb, "skb_clone" },
	{ 0xf3b01869, "dev_get_by_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xf062f394, "rt_write_lock" },
	{ 0x85a71920, "_copy_from_iter" },
	{ 0x6256a12c, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xae1b4f96, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x876af63, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2684f73f, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa3eec8f7, "sk_stop_timer" },
	{ 0x7c919a12, "unregister_net_sysctl_table" },
	{ 0x402b0f79, "genl_unregister_family" },
	{ 0xe3e360e4, "from_kuid_munged" },
	{ 0xa0e588a2, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x502d2e03, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x7119f324, "genl_register_family" },
	{ 0x6b76cbed, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7b1ecfa, "skb_to_sgvec" },
	{ 0x220d9a2a, "rhashtable_walk_exit" },
	{ 0xb2d76ce1, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x268e8fbd, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x700b2e2e, "kmalloc_caches" },
	{ 0xcafbec90, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6f53d7a5, "proc_dointvec_minmax" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,ipv6");


MODULE_INFO(srcversion, "FFD091FB89BB3441B17B99E");
MODULE_INFO(rhelversion, "9.5");
