#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x8489827c, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x2ed15261, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xa1fdde44, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x10ec4341, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xcf9f3ed1, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x1246d1f7, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x2ae36747, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x7e2e4c9c, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xe47dcb4f, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x75810b92, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x249c255f, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xf478c971, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x9c480f0d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0xb0ac1182, "kthread_queue_work" },
	{ 0x343336e9, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe599b536, "_dev_warn" },
	{ 0x9449c5bb, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x43dd047f, "kthread_create_worker" },
	{ 0xe6b9aa69, "_dev_info" },
	{ 0x5b6ecbe9, "sched_set_fifo" },
	{ 0xe65935d4, "kthread_destroy_worker" },
	{ 0x6299be2c, "crypto_enqueue_request" },
	{ 0x2e1e30ed, "crypto_dequeue_request" },
	{ 0xee97d1dd, "crypto_enqueue_request_head" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4D34E7FF1E272BDE942403D");
MODULE_INFO(rhelversion, "9.5");
