#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(edac_op_state, "_gpl", "");
KSYMTAB_DATA(edac_mem_types, "_gpl", "");
KSYMTAB_FUNC(edac_mc_alloc, "_gpl", "");
KSYMTAB_FUNC(edac_mc_free, "_gpl", "");
KSYMTAB_FUNC(edac_has_mcs, "_gpl", "");
KSYMTAB_FUNC(find_mci_by_dev, "_gpl", "");
KSYMTAB_FUNC(edac_mc_find, "", "");
KSYMTAB_FUNC(edac_get_owner, "_gpl", "");
KSYMTAB_FUNC(edac_mc_add_mc_with_groups, "_gpl", "");
KSYMTAB_FUNC(edac_mc_del_mc, "_gpl", "");
KSYMTAB_FUNC(edac_mc_find_csrow_by_page, "_gpl", "");
KSYMTAB_DATA(edac_layer_name, "_gpl", "");
KSYMTAB_FUNC(edac_raw_mc_handle_error, "_gpl", "");
KSYMTAB_FUNC(edac_mc_handle_error, "_gpl", "");
KSYMTAB_FUNC(edac_device_alloc_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_device_free_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_device_alloc_index, "_gpl", "");
KSYMTAB_FUNC(edac_device_add_device, "_gpl", "");
KSYMTAB_FUNC(edac_device_del_device, "_gpl", "");
KSYMTAB_FUNC(edac_device_handle_ce_count, "_gpl", "");
KSYMTAB_FUNC(edac_device_handle_ue_count, "_gpl", "");
KSYMTAB_FUNC(edac_get_sysfs_subsys, "_gpl", "");
KSYMTAB_FUNC(edac_queue_work, "_gpl", "");
KSYMTAB_FUNC(edac_mod_work, "_gpl", "");
KSYMTAB_FUNC(edac_stop_work, "_gpl", "");
KSYMTAB_FUNC(edac_pci_alloc_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_pci_free_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_pci_alloc_index, "_gpl", "");
KSYMTAB_FUNC(edac_pci_add_device, "_gpl", "");
KSYMTAB_FUNC(edac_pci_del_device, "_gpl", "");
KSYMTAB_FUNC(edac_pci_create_generic_ctl, "_gpl", "");
KSYMTAB_FUNC(edac_pci_release_generic_ctl, "_gpl", "");
KSYMTAB_FUNC(edac_pci_handle_pe, "_gpl", "");
KSYMTAB_FUNC(edac_pci_handle_npe, "_gpl", "");

SYMBOL_CRC(edac_op_state, 0xb51fbd64, "_gpl");
SYMBOL_CRC(edac_mem_types, 0x2c8dd6b8, "_gpl");
SYMBOL_CRC(edac_mc_alloc, 0x0145bcab, "_gpl");
SYMBOL_CRC(edac_mc_free, 0x78e872cc, "_gpl");
SYMBOL_CRC(edac_has_mcs, 0xefeafcf1, "_gpl");
SYMBOL_CRC(find_mci_by_dev, 0x4906c422, "_gpl");
SYMBOL_CRC(edac_mc_find, 0x6356a240, "");
SYMBOL_CRC(edac_get_owner, 0x5ab09745, "_gpl");
SYMBOL_CRC(edac_mc_add_mc_with_groups, 0xe3e06452, "_gpl");
SYMBOL_CRC(edac_mc_del_mc, 0xc86b4809, "_gpl");
SYMBOL_CRC(edac_mc_find_csrow_by_page, 0xc575b917, "_gpl");
SYMBOL_CRC(edac_layer_name, 0xc0dcb59e, "_gpl");
SYMBOL_CRC(edac_raw_mc_handle_error, 0xdeffa0a7, "_gpl");
SYMBOL_CRC(edac_mc_handle_error, 0x4b06fda6, "_gpl");
SYMBOL_CRC(edac_device_alloc_ctl_info, 0xf682d00f, "_gpl");
SYMBOL_CRC(edac_device_free_ctl_info, 0x00df3346, "_gpl");
SYMBOL_CRC(edac_device_alloc_index, 0x6e3ff83a, "_gpl");
SYMBOL_CRC(edac_device_add_device, 0x579be88f, "_gpl");
SYMBOL_CRC(edac_device_del_device, 0x9a23e6be, "_gpl");
SYMBOL_CRC(edac_device_handle_ce_count, 0x7be8448a, "_gpl");
SYMBOL_CRC(edac_device_handle_ue_count, 0x0dd7605d, "_gpl");
SYMBOL_CRC(edac_get_sysfs_subsys, 0xef1a9a8e, "_gpl");
SYMBOL_CRC(edac_queue_work, 0x7d8b1ce6, "_gpl");
SYMBOL_CRC(edac_mod_work, 0xd4598c09, "_gpl");
SYMBOL_CRC(edac_stop_work, 0xc126d59f, "_gpl");
SYMBOL_CRC(edac_pci_alloc_ctl_info, 0x4fe78ad3, "_gpl");
SYMBOL_CRC(edac_pci_free_ctl_info, 0x8f6709af, "_gpl");
SYMBOL_CRC(edac_pci_alloc_index, 0x0c32ff8a, "_gpl");
SYMBOL_CRC(edac_pci_add_device, 0x3e0e04d9, "_gpl");
SYMBOL_CRC(edac_pci_del_device, 0x45af5f07, "_gpl");
SYMBOL_CRC(edac_pci_create_generic_ctl, 0x9ad1a8bc, "_gpl");
SYMBOL_CRC(edac_pci_release_generic_ctl, 0xb7ae4541, "_gpl");
SYMBOL_CRC(edac_pci_handle_pe, 0xded16ee6, "_gpl");
SYMBOL_CRC(edac_pci_handle_npe, 0xdbc2aefa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53f0e5cc, "try_module_get" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x84f11daa, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5af62226, "dev_set_name" },
	{ 0xb9852d11, "__traceiter_mc_event" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf75f0153, "device_unregister" },
	{ 0xb80d8899, "pci_get_device" },
	{ 0x96848186, "scnprintf" },
	{ 0x2862e595, "device_initialize" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xd89af91e, "bus_get_dev_root" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2bf3a830, "pci_read_config_dword" },
	{ 0x92997ed8, "_printk" },
	{ 0x2f808640, "param_get_uint" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6f4e7191, "put_device" },
	{ 0x68e40f50, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0xdcbb8eaa, "module_put" },
	{ 0x3a85373c, "sysfs_create_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x74e7acfa, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf3662d74, "device_add" },
	{ 0x1b488fee, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa3521253, "mem_section" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x3df9471f, "pci_read_config_word" },
	{ 0x9166fada, "strncpy" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xf1e046cc, "panic" },
	{ 0x1d749d1e, "kobject_init_and_add" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x95f7ae9, "device_register" },
	{ 0xb22455ae, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5b665271, "pm_runtime_forbid" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x89c429e4, "__tracepoint_mc_event" },
	{ 0xdb3ce81a, "kobject_uevent" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa0e588a2, "kmalloc_trace" },
	{ 0xe42cb6d6, "pci_read_config_byte" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf863f8e, "param_ops_int" },
	{ 0x74f8da2b, "pci_write_config_word" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x4b0dbe0f, "subsys_system_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa046466c, "kobject_get" },
	{ 0x700b2e2e, "kmalloc_caches" },
	{ 0xf61e8fb1, "kobject_put" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A60855DBEEFBAEF3AE1A235");
MODULE_INFO(rhelversion, "9.5");
