#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xbb7efc83, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x9d4baab0, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xb1754c1b, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xdfe902a4, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x617cf7c7, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xf168eae7, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x0842b1ac, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x130ab140, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x13b86dde, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x6b33a61f, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x15700b01, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x97efa7b2, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x3a436135, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x775e7683, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xdc601ee3, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xaeb31025, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xc5926375, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x5cbe597d, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xdc2dd1bc, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x2788eaaa, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x9e9f89a6, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x51b92b1e, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xd4def529, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x78963dc5, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x57876837, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x62f7966b, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x204c3e17, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x799aed16, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xf890e40c, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xe1e4b250, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xed5c1f50, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x9d009050, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xb013289d, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xb44c7fd7, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xe7c93700, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x003e5297, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x993b45ae, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x4ba8972a, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xe8739b8d, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x7a9310c7, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x295a935c, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x95765256, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x27db322b, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x5014f960, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x5aa72377, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x83608384, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x036329dc, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x5b510a53, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xaeb7c857, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xb0cb6593, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x2cf200be, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x76218f6a, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x7ab38d6f, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xc95976e0, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8e7ec2b6, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xe32895ab, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x53ea73db, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x2e1e2ad3, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xe758683e, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x4672b9f8, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x1b785e47, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xc52a198b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac0d94a9, "set_capacity_and_notify" },
	{ 0x6745765e, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1b91f552, "set_disk_ro" },
	{ 0x452d8d48, "__blk_alloc_disk" },
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0xf4736e8, "blk_integrity_register" },
	{ 0x53f0e5cc, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xba313740, "ida_destroy" },
	{ 0x29f8c20c, "device_remove_file_self" },
	{ 0x14c21b91, "param_ops_uint" },
	{ 0xb0a5b9fd, "param_ops_ulong" },
	{ 0xf05becca, "blk_queue_logical_block_size" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5af62226, "dev_set_name" },
	{ 0xa22b57c7, "ext_pi_type3_crc64" },
	{ 0x9c05e222, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xfb21e3a4, "disk_update_readahead" },
	{ 0x891d103e, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xbbcb9674, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1e50f3c3, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xe62112b0, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x35eaf183, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x84ddde29, "finish_wait" },
	{ 0x853fc4e1, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x2862e595, "device_initialize" },
	{ 0x75b43e97, "blk_mq_unquiesce_queue" },
	{ 0xb02f9f24, "t10_pi_type1_crc" },
	{ 0x7093e7e5, "blk_queue_dma_alignment" },
	{ 0x899d1e69, "blk_mq_quiesce_queue" },
	{ 0xde3522eb, "trace_event_raw_init" },
	{ 0xe00e50ba, "ext_pi_type1_crc64" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcf000cb5, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x4cea2bc7, "__traceiter_block_bio_remap" },
	{ 0x6d27b03d, "__traceiter_block_bio_complete" },
	{ 0x7c544e30, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x61e83098, "bpf_trace_run2" },
	{ 0x74b53344, "prepare_to_wait_event" },
	{ 0xf33acb24, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xede44ce7, "__wake_up" },
	{ 0x53f4e401, "event_triggers_call" },
	{ 0xd1063366, "synchronize_srcu" },
	{ 0xd473022a, "param_ops_byte" },
	{ 0x76aa1e5f, "kmem_cache_create" },
	{ 0x5c8b3d4, "get_device" },
	{ 0x365bee2a, "blk_mq_end_request" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x7ab5a1ac, "__blk_mq_alloc_disk" },
	{ 0xf43e1ebf, "__dynamic_dev_dbg" },
	{ 0x8eee2cd7, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0097d3c, "blk_integrity_unregister" },
	{ 0x9949c75, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d79946, "blk_mq_alloc_tag_set" },
	{ 0xdfaa926d, "blk_rq_is_poll" },
	{ 0xeda339f1, "trace_event_buffer_commit" },
	{ 0x8f913289, "crypto_destroy_tfm" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xa2990420, "mempool_create" },
	{ 0xe16e7d2c, "put_disk" },
	{ 0xd50c945d, "crypto_alloc_kpp" },
	{ 0x6cfb77cb, "cdev_device_add" },
	{ 0xc382597e, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x553f28be, "blk_queue_physical_block_size" },
	{ 0x404e2193, "blk_execute_rq" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6f4e7191, "put_device" },
	{ 0x389fc825, "trace_event_ignore_this_pid" },
	{ 0x20a6e0a2, "blk_mq_unquiesce_tagset" },
	{ 0x7db89ae1, "blk_queue_max_zone_append_sectors" },
	{ 0xa916b694, "strnlen" },
	{ 0x26ab873a, "kmalloc_node_trace" },
	{ 0xdc9e1596, "blk_queue_flag_set" },
	{ 0x9a793d00, "mempool_alloc" },
	{ 0xb1478c2c, "blk_mq_free_request" },
	{ 0x4ac168bd, "disk_set_zoned" },
	{ 0x618911fc, "numa_node" },
	{ 0xe5f2083d, "__free_pages" },
	{ 0xe6b9aa69, "_dev_info" },
	{ 0x36efd442, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdcbb8eaa, "module_put" },
	{ 0x3a85373c, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7bea5a0a, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfde73e2f, "t10_pi_type3_crc" },
	{ 0x21466298, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x91f7f070, "blk_mq_quiesce_tagset" },
	{ 0xbf53f695, "key_put" },
	{ 0xc83a0480, "kobject_uevent_env" },
	{ 0xaa7cef01, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x16df9ea1, "init_srcu_struct" },
	{ 0xdc0e87a3, "perf_trace_run_bpf_submit" },
	{ 0x343336e9, "_dev_err" },
	{ 0x1e617dba, "blk_revalidate_disk_zones" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x603dc683, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf3662d74, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x32cac9a1, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x1b488fee, "sysfs_remove_link" },
	{ 0xe4250839, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb4f59590, "__srcu_read_lock" },
	{ 0x52f407e8, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x65fb3499, "submit_bio_noacct" },
	{ 0x3f694345, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x25bb9c4, "blk_sync_queue" },
	{ 0x794114dd, "bdev_start_io_acct" },
	{ 0x464d5216, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xe27d0a65, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x3283fb1a, "blk_mq_alloc_request_hctx" },
	{ 0xf466f708, "__io_uring_cmd_do_in_task" },
	{ 0xb312292c, "blk_mq_alloc_request" },
	{ 0x85551ba9, "ida_free" },
	{ 0xadcf191a, "blk_stack_limits" },
	{ 0x2a09902f, "crypto_shash_update" },
	{ 0xc0ad5b25, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x6dda6dd8, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x44d0f52c, "del_gendisk" },
	{ 0xc5bada2b, "blk_queue_max_discard_sectors" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9a3a0635, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x69945a8c, "bio_integrity_alloc" },
	{ 0x3eb4d745, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x33815f72, "blk_set_stacking_limits" },
	{ 0x10dcbf09, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xdd2b80bc, "blk_put_queue" },
	{ 0x6743db70, "bpf_trace_run1" },
	{ 0xb22455ae, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0xe599b536, "_dev_warn" },
	{ 0x8864dc55, "blk_mq_wait_quiesce_done" },
	{ 0x23b3fc43, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x8719de67, "__init_waitqueue_head" },
	{ 0x7838f397, "blk_mq_init_queue" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x64343136, "io_uring_cmd_done" },
	{ 0xf0a9d8ec, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0xd12db825, "xa_erase" },
	{ 0xd33fb0a3, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x76079fc9, "blk_queue_virt_boundary" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc8563512, "blk_mq_complete_request" },
	{ 0xd1b4fbb8, "blk_queue_chunk_sectors" },
	{ 0x2f9a9393, "blk_queue_max_write_zeroes_sectors" },
	{ 0xdc511412, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x541924cc, "trace_event_buffer_reserve" },
	{ 0x892b77ae, "crypto_shash_final" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x60b0fdb1, "param_ops_bool" },
	{ 0xe74b6113, "blk_mq_destroy_queue" },
	{ 0x246a66, "xa_destroy" },
	{ 0xbe9f0aad, "blk_freeze_queue_start" },
	{ 0x84b58a12, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x3bfa674a, "xa_find" },
	{ 0xeebfcdb7, "alloc_pages" },
	{ 0x2cc15cb7, "mempool_destroy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65f3c8c, "__tracepoint_block_bio_complete" },
	{ 0xd6822237, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf680c4d4, "blk_queue_io_min" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7860c959, "__srcu_read_unlock" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x4cf99649, "blk_mq_unfreeze_queue" },
	{ 0xd48b27c2, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4633560e, "blk_rq_map_user_iov" },
	{ 0x4eee7af1, "xa_find_after" },
	{ 0xa0e588a2, "kmalloc_trace" },
	{ 0xa17a00ad, "blk_queue_max_hw_sectors" },
	{ 0x37bfea29, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0x9c8c3862, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x89c06ce5, "crypto_alloc_shash" },
	{ 0x203023ae, "blk_mq_freeze_queue_wait" },
	{ 0x1c26331d, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xbb55d549, "blk_queue_io_opt" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4da7c49, "blk_mq_requeue_request" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0xbbcf3a47, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3fb4f88e, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x266543c6, "bdev_end_io_acct" },
	{ 0x700b2e2e, "kmalloc_caches" },
	{ 0x40385be9, "blk_steal_bios" },
	{ 0xf29b5536, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "341C74C7D5BF2D2D256FDF8");
MODULE_INFO(rhelversion, "9.5");
