#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x3881a41b, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0xe933b1ec, "_gpl");
SYMBOL_CRC(sas_free_task, 0xd31edc5c, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x63488cad, "");
SYMBOL_CRC(sas_resume_ha, 0x2e187f38, "");
SYMBOL_CRC(sas_suspend_ha, 0x5a6812f6, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x0b630d11, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x0bb0e1d1, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x2fcbaba3, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x6af84ae8, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xbdcc2cfc, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x81bbc1ec, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x60a926ff, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x4040ed33, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x661764c9, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x8142eaf9, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x7f23284f, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xa0d8f8a6, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0xf4343a92, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xb7633a16, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x01175342, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x26ebce94, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x0c35ed91, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xa5f53e37, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xe33acd7b, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xf9bd35f3, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x8c4112ba, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x80be8881, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x27fe514c, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xc47df6aa, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf270c3b, "ata_qc_complete" },
	{ 0x28997e15, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x823a1f88, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xd947eebb, "ata_sas_port_destroy" },
	{ 0xed4e9375, "bsg_job_done" },
	{ 0x722f94cc, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x531fed90, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x770e7d69, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x84ddde29, "finish_wait" },
	{ 0x35657ade, "scsi_schedule_eh" },
	{ 0xd804887c, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xfb27a9c6, "ata_host_init" },
	{ 0xef594126, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xe3772bad, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x8f358afb, "sas_port_get_phy" },
	{ 0xd6fc43be, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x74b53344, "prepare_to_wait_event" },
	{ 0xede44ce7, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x76aa1e5f, "kmem_cache_create" },
	{ 0x5c8b3d4, "get_device" },
	{ 0x3135b12d, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xd21a743, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6f4e7191, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2ef05840, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x792be78e, "kmem_cache_alloc" },
	{ 0xe6b9aa69, "_dev_info" },
	{ 0x80bde68, "sas_phy_free" },
	{ 0x6cd61c9e, "scsi_eh_finish_cmd" },
	{ 0xe8a136cc, "ata_noop_qc_prep" },
	{ 0xfc186a02, "ata_sas_port_alloc" },
	{ 0x52afb94b, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x4f21b55, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x7f8b7aa4, "sas_port_mark_backlink" },
	{ 0xc1096b7d, "kmem_cache_free" },
	{ 0x82550e19, "ata_std_qc_defer" },
	{ 0xe00da560, "ata_sas_port_start" },
	{ 0xde113da, "ata_scsi_port_error_handler" },
	{ 0x33a7b527, "ata_change_queue_depth" },
	{ 0x561c5e98, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf22dedd2, "sas_end_device_alloc" },
	{ 0xd791d63c, "mutex_lock_interruptible" },
	{ 0x14c9019c, "sas_read_port_mode_page" },
	{ 0xc25dd04d, "sas_expander_alloc" },
	{ 0x2f4b3b99, "ata_sas_port_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0xe599b536, "_dev_warn" },
	{ 0xa4aa5ced, "sas_rphy_delete" },
	{ 0x83db208c, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x93d5ca24, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x8719de67, "__init_waitqueue_head" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x9779ac67, "scsi_host_busy" },
	{ 0xeff262, "ata_sas_async_probe" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0xe064da88, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3a3a596b, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd6bf35c, "ata_sas_port_suspend" },
	{ 0x74a7cf5a, "sas_rphy_add" },
	{ 0xfb8e85d6, "sas_port_delete_phy" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaceea64d, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffe9fd3e, "sas_port_add_phy" },
	{ 0x811a23f9, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x543d78f9, "ata_sas_slave_configure" },
	{ 0x95575831, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x474f9470, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x9f02fe8c, "ata_host_put" },
	{ 0xcc26f0d6, "sas_port_free" },
	{ 0xa0e588a2, "kmalloc_trace" },
	{ 0x8607d659, "ata_std_sched_eh" },
	{ 0x208930b3, "scsi_block_requests" },
	{ 0x3f12a3f9, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0xb26bbce6, "sas_remove_children" },
	{ 0x52cd14ec, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x29c21371, "ata_port_wait_eh" },
	{ 0x700b2e2e, "kmalloc_caches" },
	{ 0xf29b5536, "kmem_cache_destroy" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "C24B044A72CA30EF7DF1581");
MODULE_INFO(rhelversion, "9.5");
