#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xbbf196e2, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x850927c1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x80ee8bd9, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xf03748b8, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0xd2c9d64d, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xb5b1190f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0xfb13f3e8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x7d84d085, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x8ad8fcc9, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x5e387df9, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x9ef2545e, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x293a2ac2, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x6ca0b05b, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x1f2a71f0, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x4c242730, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xbf8d4829, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x3bbae92b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xf8d655d4, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x2ea8bd00, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xab846a86, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xd8879e88, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xdc0e87a3, "perf_trace_run_bpf_submit" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x541924cc, "trace_event_buffer_reserve" },
	{ 0xeda339f1, "trace_event_buffer_commit" },
	{ 0x53f4e401, "event_triggers_call" },
	{ 0x389fc825, "trace_event_ignore_this_pid" },
	{ 0x1e50f3c3, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x853fc4e1, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6743db70, "bpf_trace_run1" },
	{ 0x61e83098, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf062f394, "rt_write_lock" },
	{ 0xcb09079a, "rt_write_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf8170523, "udp_sock_create6" },
	{ 0x2310eb0e, "kernel_sock_shutdown" },
	{ 0x6256a12c, "sock_release" },
	{ 0x54b5ab19, "sock_create_kern" },
	{ 0x3068b281, "kernel_bind" },
	{ 0x666afef2, "kernel_connect" },
	{ 0x5092c1a7, "udp_sock_create4" },
	{ 0xb2d76ce1, "register_pernet_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x5308cdbe, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x700b2e2e, "kmalloc_caches" },
	{ 0xa0e588a2, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0xee5b1f35, "idr_find" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7cc7f2fb, "idr_get_next_ul" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x73510b1a, "rt_read_lock" },
	{ 0xdd6f4b42, "rt_read_unlock" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf06e63b3, "idr_destroy" },
	{ 0x53845dc9, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xeec0dd49, "kfree_skb_reason" },
	{ 0x74afcc7d, "skb_dequeue" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe63d622b, "idr_alloc_u32" },
	{ 0xde50f815, "sockfd_lookup" },
	{ 0xc7180734, "lock_sock_nested" },
	{ 0xcafbec90, "release_sock" },
	{ 0xe699c02d, "idr_replace" },
	{ 0x4281165f, "fput" },
	{ 0x12783a6, "setup_udp_tunnel_sock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x804d9662, "skb_queue_tail" },
	{ 0xdc9d21e, "ip_queue_xmit" },
	{ 0x60e3a175, "pskb_expand_head" },
	{ 0xf78de081, "udp_set_csum" },
	{ 0x4e8c5e1a, "inet6_csk_xmit" },
	{ 0xa694d1b8, "udp6_set_csum" },
	{ 0x45954345, "dst_release" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbcbc7d8b, "__pskb_pull_tail" },
	{ 0xe27d0a65, "trace_event_reg" },
	{ 0xde3522eb, "trace_event_raw_init" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel,ipv6");


MODULE_INFO(srcversion, "D131D2F101ECA73E4757E91");
MODULE_INFO(rhelversion, "9.5");
