#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x2f6bed13, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x7e5fe1ec, "_gpl");
SYMBOL_CRC(flow_offload_free, 0xfa38fae6, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x445af565, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x972a8396, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x458e1eed, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x984a9e22, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x418a968f, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xaa80fe4f, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x189aec0a, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x43021a33, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x0bc6182e, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x24093f9a, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x2121ee85, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0xeb9c6351, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x527ebf8f, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x819e541a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x353cbfe7, "flow_rule_alloc" },
	{ 0xaa82dfab, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb687b08d, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4cb9534b, "neigh_xmit" },
	{ 0xf4103fbe, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x4767e68d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3590d7c9, "rhashtable_walk_enter" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xfd816ad1, "proc_create_net_data" },
	{ 0x60e3a175, "pskb_expand_head" },
	{ 0xf6037190, "register_pernet_subsys" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xfcbcb733, "down_write" },
	{ 0x8f37910f, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7563d4b, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x53b7818d, "dev_get_by_index" },
	{ 0xf875d908, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x51334b83, "rhashtable_walk_start_check" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb478014d, "flow_indr_dev_setup_offload" },
	{ 0xed297516, "rhashtable_walk_stop" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x17dcd0cf, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x981eb97b, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbcbc7d8b, "__pskb_pull_tail" },
	{ 0x262c57f0, "rhashtable_destroy" },
	{ 0x1699f936, "down_read" },
	{ 0xbf9b9f7b, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x151c3d15, "rhashtable_insert_slow" },
	{ 0x73510b1a, "rt_read_lock" },
	{ 0xd0b270d1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7c817d4e, "neigh_destroy" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x5dc5e8b4, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xdd6f4b42, "rt_read_unlock" },
	{ 0x32b0092d, "remove_proc_entry" },
	{ 0x77de8677, "nf_ct_acct_add" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x45954345, "dst_release" },
	{ 0xefa2d0c2, "nf_ct_l4proto_find" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0x876af63, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa0e588a2, "kmalloc_trace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x41a946b1, "up_read" },
	{ 0x220d9a2a, "rhashtable_walk_exit" },
	{ 0x700b2e2e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "33366E55CBF7996D76C9342");
MODULE_INFO(rhelversion, "9.5");
